<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextResult Method (IEdmSearch5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSearch5 Interface : GetNextResult Method (IEdmSearch5)

Visual Basic
C#
C++/CLI
Gets the next file or folder that matches the search criteria.

# Syntax

Visual Basic |
--- | ---

    Function GetNextResult() As IEdmSearchResult5

C# |
--- | ---

    IEdmSearchResult5 GetNextResult()

C++/CLI |
--- | ---

    IEdmSearchResult5^ GetNextResult();

#### Return Value

IEdmSearchResult5; Nothing or null if no more files or folders match the search criteria

# Example

See the examples for IEdmSearch5 and IEdmSearch10.

# Remarks

Before calling this method, call IEdmSearch5::GetFirstResult or IEdmSearch10::GetFirstFavoriteResult to retrieve the first file or folder that matches the search criteria.

C++ users must release the returned interface, IEdmSearchResult5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The method successfully executed, but no files or folders match the search criteria.

# See Also

####

IEdmSearch5 Interface
IEdmSearch5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2